Package org.bukkit.block.data.type

# Enum Class PointedDripstone.Thickness

java.lang.Object
java.lang.Enum<PointedDripstone.Thickness>
org.bukkit.block.data.type.PointedDripstone.Thickness

All Implemented Interfaces:
  `Serializable`, `Comparable<PointedDripstone.Thickness>`, `Constable`

Enclosing interface:
  PointedDripstone

public static enum PointedDripstone.Thickness extends Enum<PointedDripstone.Thickness>
Represents the thickness of the dripstone, corresponding to its position within a multi-block dripstone formation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASE`
Base.
`FRUSTUM`
Top section.
`MIDDLE`
Middle section.
`TIP`
Just the tip.
`TIP_MERGE`
Extended tip.

## Method Summary

Modifier and Type
Method
Description
`static PointedDripstone.Thickness`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PointedDripstone.Thickness[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TIP_MERGE

public static final PointedDripstone.Thickness TIP_MERGE
Extended tip.

### TIP

public static final PointedDripstone.Thickness TIP
Just the tip.

### FRUSTUM

public static final PointedDripstone.Thickness FRUSTUM
Top section.

### MIDDLE

public static final PointedDripstone.Thickness MIDDLE
Middle section.

### BASE

public static final PointedDripstone.Thickness BASE
Base.

## Method Details

### values

public static PointedDripstone.Thickness[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PointedDripstone.Thickness valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null